[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LDockCtrl' (#lcl)

# TCustomLazControlDocker.DockAsPage

DockAsPage - dock as a page as specified in Layout. Returns True if successful

## Declaration

Source position: ldockctrl.pas line 259

`protected function TCustomLazControlDocker.DockAsPage(`
`Layout: TLazDockConfigNode`
`):Boolean;`

## Description

DockAsPage - dock as a page as specified in Layout.

Requirements: Parent in Layout is a ldcntPage and a parent control exists.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.